Objectives
Alle Operationen rund um Objectives.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Objective (OKR) | objective |
10 | — | objective_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/objectives |
Create objective | Create a new objective in the active tenant. |
DELETE |
/v1/objectives/{id} |
Delete objective | Soft delete entity. |
GET |
/v1/objectives/{id} |
Get objective by id | Fetch a single objective. |
GET |
/v1/objectives/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/objectives/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/objectives/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/objectives |
List objectives | List objectives for the active tenant. |
PATCH |
/v1/objectives/{id} |
Patch objective | JSON Merge Patch update. |
POST |
/v1/objectives/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/objectives/{id}/transition |
POST /v1/objectives/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/objectives/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/objectives/{id} |
Replace objective | Full replace with optimistic locking. |